<?php
if ($title) {
	$title .= ' &ndash; VALO-CD.fi';
} else {
	$title = 'VALO-CD: Parhaat suomenkieliset vapaat ja avoimen lähdekoodin ohjelmat Windowsille';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" 	"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fi" lang="fi" xmlns:og="http://ogp.me/ns#" xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="author" content="Otto Kekäläinen"/>
<link media="all" href="/style.css" type="text/css" rel="stylesheet"/>
<?php 
if ($hide_right_rail) { 
    echo '<link media="all" href="/style-simple.css" type="text/css" rel="stylesheet"/>
    '; 
} 
?>
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<meta name="description" xml:lang="fi" content="VALO-CD: Parhaat suomenkieliset vapaat ja avoimen lähdekoodin ohjelmat Windowsille"/>
<meta name="keywords" content="valo, avoin lähdekoodi, vapaa ohjelma, cd, tiedostomuoto, suomenkielinen, ilmainen, lataa, windows" />
<meta name="robots" content="all"/>

<!-- From http://ogp.me/ -->
<meta property="og:title" content="VALO-CD.fi" />
<meta property="og:type" content="product" />
<meta property="og:url" content="http://www.valo-cd.fi/" />
<meta property="og:image" content="http://www.valo-cd.fi/img/valo-cd-tunnus.jpg" />
<meta property="og:description" content="Parhaat suomenkieliset vapaat ja avoimen lähdekoodin ohjelmat Windowsille" />
<meta property="og:site_name" content="VALO-CD" />
<meta property="fb:admins" content="1576364819,1030817482"/>

<script type="text/javascript">
function popUp(URL) {
    day = new Date();
    id = day.getTime();
    eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=650,left = 320,top = 125');");
}
</script>
<?php if ($redirect) { echo '<meta http-equiv="REFRESH" content="4;URL='. $redirect .'">'; } ?> 
</head>
<body>
<?php /*
<!-- ClickTale Top part -->
<script type="text/javascript">
var WRInitTime=(new Date()).getTime();
</script>
<!-- ClickTale end of Top part -->
*/ 

/*
if (preg_match("/linux/i", $_SERVER['HTTP_USER_AGENT']) && preg_match("/fi/i", $_SERVER['HTTP_ACCEPT_LANGUAGE']) && preg_match("/index/", $_SERVER['SCRIPT_NAME'])) {
?>
	<div id="advert" style="height:80px; width: 730px; background: white; padding: 12px; display: none; margin: 0 auto; position: relative;">
	<p style="
  -webkit-transform: rotate(-90deg);
  -moz-transform: rotate(-90deg);
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  display:block;
  position:absolute;
  right:-15px;
  top:40px;
  color: #999;
">MAINOS</p>
		<a href="http://linux-tuki.fi/" style="float:left; margin: 1em;"><img src="http://linux-tuki.fi/static/linux-tuki-logo.png" alt="Suomen Linux-tuki"/></a><br/>
		Hei Linux-käyttäjä, tarvitsetko Linux-tukipalveluita?<br/>
		Tutustu Seravo Oy:n palveluun <a href="http://linux-tuki.fi/">Linux-tuki.fi</a>
	</div>
	<script src="http://code.jquery.com/jquery-latest.js"></script>
	<script>
	$(document).ready(function () {
		$("#advert").slideDown("slow");
	});
	</script>
<?php
}
*/
?>

<div id="container">

<div id="preheader">
<a href="/"><img src="/img/valo-cd-logo-header.jpg" alt="VALO-CD logo"/></a>
<h1>VALO-CD</h1>
<p><strong>Parhaat vapaat ja avoimen lähdekoodin ohjelmat Windowsille</strong></p>
	<div id="infonavi">
	<a href="http://www.valo-cd.net/">English</a> 
	<a href="http://www.valo-cd.net/svenska">Svenska</a> 
	<a href="/sitemap">Sivukartta</a> 
    	<form action="hae" id="cse-search-box">
      		<div id="googlehaku">
				<input type="hidden" name="cx" value="partner-pub-7211882149548509:rg123ycmasx" />
				<input type="hidden" name="cof" value="FORID:9" />
				<input type="hidden" name="ie" value="UTF-8" />
				<input type="text" name="q" size="12" />
				<input type="image" name="sa" value="Hae" src="/img/button-hae.png" id="hakupainike" />
      		</div>
    	</form>
    	<script type="text/javascript" src="http://www.google.fi/coop/cse/brand?form=cse-search-box&amp;lang=fi"></script> 
	</div>
</div>

<div id="header">
    <div id="navi">
    <ul>
	<li <?php echo preg_match("/index.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/"><span>Etusivu</span></a></li>
	<li <?php echo preg_match("/ohjelmat.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/ohjelmat"><span>Ohjelmat</span></a></li>
	<li <?php echo preg_match("/hanki.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/hanki"><span>Hanki CD</span></a></li>
	<li <?php echo preg_match("/valo.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/valo"><span>VALO</span></a></li>
	<li <?php echo preg_match("/tiedotteet.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/tiedotteet"><span>Tiedotteet</span></a></li>
	</ul>
    </div>
</div>

<?php
if (preg_match("/index.php/", $_SERVER["SCRIPT_FILENAME"])) {
?>
<div id="postheader">
    <div id="palkki"><h3>Suosituimmat ohjelmat</h3>
	<a href="ilmainen_libreoffice"><img src="/img/palkki-libreoffice.png" alt="LibreOffice"/></a>
	<a href="ilmainen_firefox"><img src="/img/palkki-firefox.png" alt="Firefox"/></a>
	<a href="ilmainen_gimp"><img src="/img/palkki-gimp.png" alt="GIMP"/></a>
	<a href="ilmainen_scribus"><img src="/img/palkki-scribus.png" alt="Scribus"/></a>
	<!-- a href="ilmainen_thunderbird"><img src="/img/palkki-thunderbird.png" alt="Thunderbird"/></a -->
	<a href="ilmainen_vlc"><img src="/img/palkki-vlc.png" alt="VLC Mediasoitin"/></a>
	<a href="ilmainen_pidgin"><img src="/img/palkki-pidgin.png" alt="Pidgin"/></a>
    </div>
	
    <div id="lataa-tai-tilaa">
	<a href="hanki"><img src="/img/lataa-tai-tilaa.jpg" alt="Lataa tai tilaa oma VALO-CD"/><br/><span>Lataa tai <br/>tilaa oma VALO-CD</span></a>
	</div>
</div>
<?php
} else {
    echo '<br/>';
}
?>

<div id="contents">

