<?php
$title = 'News';
require_once('header.inc');
?>

<div id="mainone">
	<h2>News</h2>

	 <h3 class="uutisotsikko"><a name="20130918">2013-09-18 &ndash; VALO-CD v9 released</a></h3>
	<p>The ninth version of VALO-CD has been released in English and Finnish editions, just in time to celebrate the <a href="http://www.softwarefreedomday.org/">Software Freedom Day 2013</a>. <a href="get">Get</a> your disc now!</p>

	 <h3 class="uutisotsikko"><a name="20121112">2012-12-11 &ndash; VALO-CD maker awarded</a></h3>
	<p>The project lead of VALO-CD, Otto Kekäläinen, has been awarded the <a href="http://fsfe.org/news/2012/news-20121112-01">Nordic Free Software Award</a> at FSCONS 2012. VALO-CD is mentioned as one of the motivations.</p>

	 <h3 class="uutisotsikko"><a name="20120701">2012-07-01 &ndash; Akademy 2012 presentation</a></h3>
	<p>VALO-CD was presented at the <a href="http://akademy.kde.org/">Akademy 2012</a>, check out the <a href="http://files.kde.org/akademy/2012/videos/Lightning_Talks.m4v">video starting at about 24:20</a>.</p>
	
	 <h3 class="uutisotsikko"><a name="20120615">2012-06-15 &ndash; Devaamo Summit presentation</a></h3>
	<p>VALO-CD was presented at the <a href="http://summit.devaamo.fi/program/lightning/">Devaamo Summit</a>, check out the <a href="esitykset/valo-cd-presentation-2012-06-05-Devaamo.pdf">slides</a>!</p>
	
	 <h3 class="uutisotsikko"><a name="20120222">2012-02-22 &ndash; VALO-CD v8 released</a></h3>
    <p>VALO-CD with selected best-in-class applications makes it easy for any user to take advantage of Free Software on Windows. Now it is available in English too, in addition to the existing Finnish language edition. A new addition is MuseScore, a program to make music by writing scores. Other programs are updated to newest version, for example LibreOffice 3.5 is included. <cite>"I'm thrilled with the work that the VALO-CD project is doing getting Free Software into user's hands", said Michael Meeks, SUSE Distinguished Engineer, and LibreOffice developer, "there is a real need to help people to get the latest and greatest Free Software on Windows into people's hands. It is good to see the very best LibreOffice 3.5 features getting to as wide an audience as possible, I heartily recommend the CD to you."</cite></p>
	<ul>
    <li><a href="press-release-2012-02-22.pdf">Press release 2012-02-22 (pdf)</a></li>
    </ul>
	 <h3 class="uutisotsikko"><a name="20120202">2012-02-02 &ndash; VALO-CD at FOSDEM </a></h3>
    <p>Some of the VALO-CD makers are at <a href="http://fosdem.org/2012/">FOSDEM 2012</a> Drop a line at <a href="chat">#valo-cd in IRC</a> if you want to meet!</p>
    <h3 class="uutisotsikko"><a name="20110915">2011-09-15 &ndash; VALO-CD v7 in English! </a></h3>
    <p>After about a year of preparation, the VALO-CD project has now been internationalized and the first production quality release in English is released.</p>
    <h3 class="uutisotsikko"><a name="20110807">2011-08-07 &ndash; VALO-CD at the Desktop Summit</a></h3>
    <p>The VALO-CD project was presented at the <a href="https://desktopsummit.org/program/sessions/lightning-talks">Desktop Summit</a> as a call for developers for new languages.</p>
    <h3 class="uutisotsikko"><a name="20110529">2011-05-29 &ndash; Wiki in English</a></h3>
    <p>The the new <a href="/wiki/">development wiki</a> in English has been opened and the first VALO-CD development version in English released. Check them out and give us feedback!</p>
    <h3 class="uutisotsikko"><a name="20101106">2010-11-06 &ndash; VALO-CD at FSCONS</a></h3>
    <p>The VALO-CD project and the plans to make an English version was presented at <a href="http://fscons.org/2010/using/lightning-talks">FSCONS</a>.</p>
    
</div>
<div id="maintwo">
<h2>For media</h2>
<p>For media representatives we'll send a media package <a href="mailto:info@valo-cd.net?subject=Media package&amp;body=Hello, Please send me the media package. My employer is">on request</a>.</p> 

<p>You may freely use the following images in articles about the VALO-CD:</p>

<a href="/img/valo-cd-logo.pdf"><img src="/img/valo-cd-logo.pdf.png" alt="VALO-CD-logo (press ready pdf)"/></a>
<a href="/img/valo-cd-logo.jpg"><img src="/img/valo-cd-logo.jpg.png" alt="VALO-CD-logo (jpg for digital use)"/></a>
<br/>
<a href="/img/valo-cd-logo-horizontal.jpg"><img src="/img/valo-cd-logo-horizontal.jpg.png" alt="VALO-CD-logo (jpg for digital use)"/></a>
<a href="/img/valo-cd-cover.jpg"><img src="/img/valo-cd-cover.jpg.png" alt="VALO-CD cover (press ready jpg)"/></a>
<br/>


<a name="visibility"></a>
<h2>Media visibility</h2>

<p>Check also the <a href="http://www.valo-cd.fi/tiedotteet">media visibility list of the Finnish version</a>.</p>

<dl>
<dt>22.7.2013</dt>
<dd>
	<a href="http://audacity.sourceforge.net/download/bundlers">Audacity</a>,
	<a href="https://en.wikipedia.org/wiki/VALO-CD">Wikipedia article</a>,
	<a href="http://gratisylegal.com/2013/01/free-software-para-windows-valo-cd.html">Gratis y legal</a>,
	<a href="http://www.itworld.com/open-source/325624/valo-cd-serves-smorgasbord-open-source-windows-apps">ITWorld</a>,
	<a href="http://www.taringa.net/posts/links/16053381/ValoCD-Software-Libre-para-Windows.html">Taringa.net</a>,
	<a href="http://podnutz.com/linuxfortherestofus">Linux For The Rest Of Us</a>
</dd>
</dl>

<dl>
<dt>4.12.2012</dt>
<dd>
	<a href="http://www.pcworld.com/article/2018537/valo-cd-serves-up-a-smorgasbord-of-open-source-apps-for-windows-users.html">PCWorld</a>,
	<a href="http://linuxzone.es/2012/12/07/valo-cd-todo-el-software-libre-que-necesitas-en-windows/">Linuxzone.es</a>
</dl>

<dl>
<dt>21.3.2011</dt>
<dd>
	<a href="http://news.slashdot.org/story/12/03/03/0340229/now-in-english-valo-cd-open-source-software-collection">Slashdot</a>,
	<a href="http://news.yahoo.com/valo-cd-now-available-english-makes-installing-free-081257903.html">Yahoo News</a>,
	<a href="http://www.hnsearch.com/search#request/all&q=valo-cd">Ycombinator News</a>,
	<a href="http://oklahomahistory.net/newsletters/TT789.htm">Oklahoma history news letter</a>,
	<a href="http://www.openoffice.cz/novinky/osmy-rocnik-finskeho-projektu-valo-cd-pro-podporu-open-source">OpenOffice.cz</a>,
	<a href=""></a>,
	<a href="http://pr.efytimes.com/e1/79656/VALOCD-Now-Available-In-English">EFY Times</a>,
	<a href="http://www.kevingilmour.net/2012/english-installing-source-software/
">Keving Ilmour</a>,
	<a href="http://www.watcorp.com/2012/02/24/valo-cd-now-available-in-english-makes-installing-free-and-open-source/
"></a>Watcorp,
	<a href="http://www.jivezone.net/tag/valocd">Jivezone</a>,
	<a href="http://freeofproxy.net/free-proxy/valo-cd-now-available-in-english-makes-installing-free-and-open-source-software-easier-than-ever-for-windows-users/">Freeofproxy.net</a>,
	<a href="https://www.allvoices.com/news/11587719-valocd-now-available-in-english-makes-installing-free-and-open-source-software-easier-than-ever-for-windows-users">All Voises</a>,
	<a href="http://musescore.typepad.com/blog/2012/02/one-disc-with-the-best-free-open-source-software-for-windows-valo-cd-version-8-now-with-musescore-httpwwwvalo-cdnet.html">Musescore blog</a>,
	<a href="http://fi.flossmanuals.net/blog/2012/03/01/valo-cd-for-windows-makes-installing-free-and-open-source-software-easier-than-ever/
">Flossmanuals blog</a>,
	<a href="http://it.tmcnet.com/topics/it/articles/2012/02/29/271414-windows-users-now-get-valo-cd-english.htm
">TMCnet</a>,
	<a href="https://joinup.ec.europa.eu/news/eighth-edition-finnish-cd-promote-open-source
">Joinup.ec.europa.eu</a>,
	<a href="http://www.hotukdeals.com/freebies/valo-cd-best-free-open-source-software-for-windows-1159076
">Hot UK Deals</a>,
	<a href="http://lifehacker.com/tips/forum?comment=47594647
">Lifehacker</a>,
	<a href="http://www.linuxzasve.com/valo-cd-najbolje-od-floss-a-za-korisnike-windowsa
">Linuxzasve</a>,
	<a href="http://www.americanbankingnews.com/2012/02/24/valo-cd-now-available-in-english-makes-installing-free-and-open-source-software-easier-than-ever-for-windows-users/">American banking news</a>
</dd>
</dl>


<h3>Social media</h3>
<p class="linkkilista">
<a href="http://www.facebook.com/pages/VALO-CDnet/185700754786314"><img src="/img/facebook.gif" alt="Facebook"/>  Facebook</a><br/>
<a href="uhttp://delicious.com/search?context=all&p=valo-cd&lc=1"><img src="/img/delicious.png" alt="Delicious"/> Delicious</a><br/>
<a href="http://search.twitter.com/search?q=valo-cd"><img src="/img/twitter.gif" alt="Twitter" /> Twitter</a><br/>
<a href="http://digg.com/search?s=valo-cd"><img src="/img/digg.png" alt="Digg" /> Digg</a><br/>
<a href="http://www.stumbleupon.com/search?q=valo-cd"><img src="/img/stumbleupon.png" alt="StumbleUpon" /> StumbleUpon</a><br/>
<a href="http://www.reddit.com/search?q=valo-cd"><img src="/img/reddit.gif" alt="reddit" /> reddit</a><br/>
</p>

<a name="tilastot"></a>

<h3>Statistics</h3>
<p>BitTorrent download stats are visible at thet <a href="http://laillisettorrentit.net/index.php?page=torrent-details&id=0da49a415e53cad6a303c8af8eba736ee74a9401">laillisettorrentit.net summary page</a>.</p>


</div>

<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>

<?php
require_once('footer.inc');
