<?php
if ($_GET['filename']) {
	$title = ucwords($_GET['filename']);
} else {
	$title = 'Programs';
}
require_once('header.inc');

if (!$_GET['filename']) {
?>

<h2>Ohjelmat - VALO-CD versio 9</h2>

<table class="programtable">
	<tbody>
<?php
require_once("ohjelmat-v9.html");
?>
	</tbody>
</table>
<?php
} else {
?>
<style type="text/css">
.icon {
    margin-top: -3em;
    float: right;
}
/* @group Download */
a.download:link, a.download:visited, a.download:hover {
  font-family: "Droid Sans", sans-serif;
  text-align: center;
  font-weight: normal;
  text-decoration: none;
  text-transform: capitalize;
  display: block;
  float: right;
  clear: right;
  /*    clear: both;*/
  width: 7.875em;
  height: 1.375em;
  background: #ffffff;
  background: -webkit-gradient(linear, left top, left bottom, from(white), to(#dddddd));
  background: -moz-linear-gradient(center top, white, #dddddd);
  border-radius: 0.938em;
  -moz-border-radius: 0.938em;
  -webkit-border-radius: 0.938em;
  border: 0.063em solid #aaaaaa;
  color: #444444;
  margin: 0.313em 0 1.25em 0.938em;
  padding: 0.187em 0 0.125em 0; }

a.download:active {
  background: #cdcdcd;
  background: -webkit-gradient(linear, left top, left bottom, from(#cdcdcd), to(#ececec));
  background: -moz-linear-gradient(center top, #cdcdcd, #ececec);
  padding: 0.25em 0 0.063em 0; }
/* @end */
/* @group Screenshots */
.title ul.screenshots {
  margin: 0.3em 0em 0.9em 0em;
  list-style-type: none; }
  .title ul.screenshots li:before {
    display: none; }
  .title ul.screenshots li img {
    width: 100%;
    box-shadow: 0 0.2em 0.7em black;
    -moz-box-shadow: 0 0.2em 0.7em black;
    -webkit-box-shadow: 0 0.2em 0.7em black; }
  .title ul.screenshots.zoomed {
    position: fixed;
    top: 2.813em;
    left: 0;
    width: 50.062em;
    height: 31.25em;
    margin: 0;
    z-index: 1; }
    .title ul.screenshots.zoomed li img {
      box-shadow: 0 0.2em 0.7em white;
      -moz-box-shadow: 0 0.2em 0.7em white;
      -webkit-box-shadow: 0 0.2em 0.7em white;
      display: block;
      width: auto;
      max-height: 31.25em;
      margin-left: auto;
      margin-right: auto; }
.title .selector {
  margin: 0.5em 0 0 0;
  width: 100%;
  overflow: hidden;
  text-align: center; }
  .title .selector .radio {
    display: inline-block;
    height: 1em;
    width: 1em;
    border-right: 0.25ex white solid;
    background: #eeeeee;
    font-size: 150%; }
    .title .selector .radio:hover, .title .selector .radio.selected {
      background: #aaaaaa;
      opacity: 1.0; }
    .title .selector .radio:first-child {
      border-top-left-radius: 1em;
      -moz-border-radius-topleft: 1em;
      -webkit-border-top-left-radius: 1em;
      border-bottom-left-radius: 1em;
      -moz-border-radius-bottomleft: 1em;
      -webkit-border-bottom-left-radius: 1em; }
    .title .selector .radio:last-child {
      border-top-right-radius: 1em;
      -moz-border-radius-topright: 1em;
      -webkit-border-top-right-radius: 1em;
      border-bottom-right-radius: 1em;
      -moz-border-radius-bottomright: 1em;
      -webkit-border-bottom-right-radius: 1em;
      border-right: none; }
  .title .selector.zoomed {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 50.062em;
    margin: 0;
    background: black;
    opacity: 0.8; }
    .title .selector.zoomed .radio {
      position: relative;
      top: 0.417em;
      border-right-color: black; }
      .title .selector.zoomed .radio:last-child {
        border-right: none; }
/* @end */
</style>
<!--[if lte IE 6]>
<style type="text/css">
.icon {
    float: none;
    margin-top: 0em;
}
/* @group Download */
a.download:link, a.download:visited, a.download:hover {
  float: none;
}
</style>
<![endif]-->
<script src="html-ui-fi/js/jquery.js">
    /* */
</script>
<script>
$(document).ready(function(){
  $(".screenshots").each(function(idx) {
    var gallery, screenshots, total;
    gallery = $(this);
    screenshots = gallery.children("li");
    if (screenshots.length > 1) {
      gallery.before('<div class="selector" />');
      $(this).children("li")
        .css("display", "none")
        .css("cursor", "pointer")
        .each(function(idx) {
          var that = this;
          $('<span class="radio" />')
            .appendTo(gallery.prev(".selector"))
            .css("width", (1 / screenshots.length) * (100 - 0.4 * screenshots.length) + "%")
            .bind("mouseenter", function(e) {
              $(this)
                .addClass("selected")
                .siblings(".radio").removeClass("selected");
              $(that)
                .css("display", "list-item")
                .siblings("li").css("display", "none");
            });
          $(this).bind("click", function(e) {
            gallery.toggleClass("zoomed");
            gallery.prev(".selector").toggleClass("zoomed");
          });
          $(this).bind("mousemove", function(e) {
            var left = $(this).offset().left,
                width = $(this).width(), x = e.pageX;
            var selection = parseInt(((x - left) / width) * screenshots.length, 10);
            gallery.prev(".selector")
              .children(".radio:eq(" + selection + ")")
                .not(".selected").addClass("selected").end()
              .siblings(".radio.selected").removeClass("selected");
            $(this).parent("ul")
              .children("li:eq(" + selection +")")
                .not(":visible").css("display", "list-item").end()
              .siblings(":visible").css("display", "none");
          });
        }).first().css("display", "list-item");
      gallery.next(".selector").children(".radio").first().addClass("selected");
    }
  });
});
</script>
<?php
  $filename = $_GET['filename'];
  require_once("splitindex-fi/$filename.html");
?>

<br/><br/>
<p class="kuvitettu_linkki"><a href="/ohjelmat"><img alt="Selaa muita ohjelmia" src="img/arrow_left.png">Selaa muita ohjelmia</a></p>
<?php
}


if ($filename == '') {
?>

<h2>Levyn sisällöstä</h2>
<p>VALO-CD:llä on myös muuta materiaalia, kuten ohjeita ja oppaita sekä salausvarmenteita. Jos haluat tutustua VALO-CD:seen lataamatta sitä koneellesi, voit myös selata sitä suoraan verkkosivuillamme.</p>

<p class="selaa"><a href="#" onclick="window.open('/html-ui-fi/index.html', '_new','toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=650,left=320,top=125'); return false;" >Selaa VALO-CD:n sisältöä</a><br/><small>(vaatii IE7:n tai paremman, esim. Mozilla Firefox tai Google Chrome)</small></p>

<h2>Tietoturvapäivitykset</h2>
<p>Windowsissa automaattinen päivitysjärjestelmä päivittää ainoastaan Microsoftin ohjelmistoja. Windows-käyttäjän on siis itse huolehdittava VALO-ohjelmistojen päivittämisestä uusimpaan versioon. Uusimmat versiot voi ladata vapaasti ohjelmien omilta verkkosivuilta.</p>
<p>Linux-käyttöjärjestelmässä kaikkiin ohjelmistopakettihallinnan kautta asennettuihin ohjelmiin voi asentaa tietoturvapäivitykset automaattisesti. Tämä CD ei ole tarkoitettu Linux-käyttäjille &ndash; Linuxissa suosittelemme käyttämään siinä olevaa automaattista ohjelmistohallintaa näiden ohjelmien asentamiseksi.</p>

<h2>Lähdekoodit</h2>
<p>Tarjoamme <a href="http://www.turre.com/licenses/gpl-2.0_fi.html">GPL-lisenssin</a> mukaisesti VALO-CD:llä olevien ohjelmien lähdekoodit, jotka ovat saatavilla kansiosta <a href="/sources/">www.valo-cd.fi/sources/</a>. Tuoreimmat kehitysversioiden lähdekoodit löydät luonnollisesti kunkin ohjelmiston omilta verkkosivulta.</p>

<?php 
} // long if $filename ends

require_once('footer.inc');
