<?php
$title = 'Tilaa CD postitse';
require_once('header.inc');
?>
<h2>Tilaa VALO-CD</h2>

<?php
/*
* käytetään PEAR;in Mail_mime-luokkaa 
* ks. http://pear.php.net/package/Mail_Mime
*/
include('Mail.php');
include('Mail/mime.php');

if ($_POST['laheta'] && preg_match("/http:\/\/www.valo-cd.fi\//", $_SERVER['HTTP_REFERER'])) {

    // tarkista ensin että syötteet ovat hyväksyttäviä
    // nämä tarkistukset eivät ole riittäviä! Mieti lisää (voiko Mail_mime-luokkaan tehdä hyökkäyksen, pitäisikö ajaa addslashes tms?
    // tarvitaako captcha tai muu metodi spammin estämiseksi? Onko spam edes oikeasti suuri ongelma että asiakkaita pitäisi kiusata captchalla?
    validate_field('loppusumma_tarkistus', "[1-9]", 'Valitse tilattavan tuotteen määrä.');
    validate_field('nimi', "[a-zA-Z]", 'Nimi on pakollinen tieto.');
    validate_field('lahiosoite', "[a-z]", 'Osoite on pakollinen tieto.');
    validate_field('postinro', "[0-9]", 'Postinumero on pakollinen tieto.');
    validate_field('postipaikka', "[a-z]", 'Postitoimipaikka on pakollinen tieto.');
    
    if (count($errors) > 0) {
    
        echo '<p class="warning"><big>Virhe:</big>';
        reset($errors);
        while (list($key, $val) = each($errors)) {
            echo "<br/>$val";
        }
        echo '</p>';

        if ($_GET['vaihtoehto'] == 'flug-jasenille') {
            include('tilauslomake_flug.inc');
        } else {
            include('tilauslomake.inc');
        }   
        
    } else { // tosi jos syötteet virheettömiä
                
        // sähköpostiviestin rakentaminen alkaa tästä..
        if ($_POST['sahkoposti']) {
            $headers = array('From' => $_POST['sahkoposti']);
        } else {
            $headers = array('From' => 'no-reply@valo-cd.fi');
        }
        
        reset($_POST);
        $text = '';
        while (list($key, $val) = each($_POST)) {
            $text .= utf8_decode(wordwrap("\n$key: $val", 75));
        }
        
        // add log data
        $text .= "\nLog: ".$_SERVER['REMOTE_HOST'].
            "\n".$_SERVER['REMOTE_ADDR'].
            "\n".$_SERVER['HTTP_USER_AGENT'].
            "\n".$_SERVER['HTTP_REFERER']; 
        
        $to = 'otto@valo-cd.fi';
        $headers['Subject'] = 'VALO-CD-tilaus';
        $get = array('text_encoding' => 'quoted-printable');

        $headers['X-Mailer'] = 'VALO-CD.fi';

        $mime = new Mail_mime("\n"); // default is \r\n, but that does not work with PHP Mail()
        $mime->setTXTBody($text);

        //do not ever try to call these lines in reverse order
        $body = $mime->get($get);
        $headers = $mime->headers($headers);

        $mail_object =& Mail::factory('mail');

        if ($mail_object->send($to, $headers, $body) === TRUE) {
	        echo '
<h2>Tilaus lähetetty</h2> <p><strong>Kiitos tilauksesta!</strong></p>
	        
<!-- Google Code for VALO-CD:n tilaus Conversion Page -->
<script language="JavaScript" type="text/javascript">
<!--
var google_conversion_id = 1059752947;
var google_conversion_language = "fi";
var google_conversion_format = "3";
var google_conversion_color = "ffffff";
var google_conversion_label = "JEclCLWqWxDzl6r5Aw";
if ('. sprintf("%01.1f", $_POST["loppusumma_tarkistus"]) .') {
  var google_conversion_value = '. sprintf("%01.1f", $_POST["loppusumma_tarkistus"]) .';
}
//-->
</script>
<script language="JavaScript" src="http://www.googleadservices.com/pagead/conversion.js">
</script>
<noscript>
<img height="1" width="1" border="0" src="http://www.googleadservices.com/pagead/conversion/1059752947/?value='. sprintf("%01.1f", $_POST["loppusumma_tarkistus"]) .'&amp;label=JEclCLWqWxDzl6r5Aw&amp;guid=ON&amp;script=0"/>
</noscript>';
    require_once('liity-tiedotuslistalle.inc');
    
        } else {
            echo "Tilauksen lähettäminen epäonnistui: ".print_r($mail_object).' Ota ystävällisesti meihin yhteyttä ja ilmoita virheestä.';
        }
    }
    
} else { // näytetään normaali sivu jos lomaketta ei ole lähetetty

	include('tilauslomake.inc');

}

require_once('footer.inc');
