<?php 
$title = 'Mitä on VALO?';
require_once('header.inc');
?>
<h2>VALO?</h2>

<p><strong>Vapaat ja Avoimen Lähdekoodin Ohjelmistot</strong> on julkaistu lisensseillä, jotka takaavat käyttäjille oikeudet käyttää, kopioida ja muokata ohjelmistoja vapaasti &ndash; toisin kuin perinteiset suljetut ohjelmistot, joiden lisenssit ovat luonteeltaan käyttäjän oikeuksia rajoittavia. Koska lähdekoodit ovat saatavilla, kuka tahansa voi muokata ohjelmia. Paranneltuja versioita saa myös jakaa eteenpäin lisenssiehtojen mukaisesti.</p>

<p>Tavallisen käyttäjän näkökulmasta VALO merkitsee riippumattomuutta yksittäisestä ohjelmistovalmistajasta. VALOssa ei makseta lisenssimaksua, vaan asiakkaalle toimitetusta palvelusta, mikä takaa, että ohjelmistoyritykset käyttävät suuremman osan tuloistaan ohjelmistojen kehittämiseen. </p>

<p>VALO estää vaarallisten monopolien muodostumisen ja mahdollistaa reilun, ensisijaisesti laatuun perustuvan kilpailun ohjelmistojen kesken. VALOlle on ominaista myös vapaiden standardien ja tiedostomuotojen käyttö, mikä edistää eri ohjelmien yhteensopivuutta ja yhteistyötä.</p>

<blockquote><p>VALOn kehitysmalli tuottaa loistavia ohjelmia avoimelle tietoyhteiskunnalle. Vastusta suljettua, käyttäjiä rajoittavaa tietoyhteiskuntaa &ndash; suosi VALOa!</p></blockquote>

<p>Suurin ja tunnetuin esimerkki VALOsta on Linux-käyttöjärjestelmä. Tämä CD ei kuitenkaan sisällä sitä, vaan ainoastaan Windowsille tarkoitettuja ohjelmia. Tosin suurin osa VALO-CD:n ohjelmista ovat käyttöjärjestelmäriippumattomia, joten niistä on myös Linux-versiot olemassa. Tämän CD:n ohjelmistojen käyttö helpottaa myöhemmin siirtymään Linuxiin, koska suuri osa ohjelmista on tullut jo tutuksi Windows-puolella.</p>

<h2>Ilmaisia ohjelmia?</h2>
<p>VALO-ohjelmia voi toki myydä, mutta koska niiden edelleen jakelua ei voi rajoittaa, ovat ohjelmat käytännössä ilmaisia. VALO-kehitysmallin muita käytännön vaikutuksia ovat mm.:</p>
<dl>
<dt>Toimittajariippumattomuus</dt>
<dd>VALO-lisenssit mahdollistavat sen, että ohjelmistoon voi hankkia tukipalveluita ja korjauksia mistä tahansa.</dd>
<dt>Avoin kehitystyö</dt>
<dd>VALO-projektit toimivat avoimesti: ne julkaisevat projektisivuillaan tietoa ohjelmiston kehityssuunnitelmista ja kehitteillä olevien ohjelmien testiversioita. Osallistuminen on myös avointa, koska kehitystiimeihin otetaan mielellään uusia jäseniä, jotka ovat työllään osoittaneet osaamisensa.</dd>
<dt>Julkinen virhetietokanta</dt>
<dd>Ongelmia ei piilotella vaan ne on listattu julkiseen virhetietokantaan. Kuka tahansa voi ilmoittaa löytämästään virheestä tietokantaan tai auttaa virheen selvittämisessä.</dd>
<dt>Julkinen versionhallinta</dt>
<dd>Lähdekoodia säilytetään useimmiten versionhallintajärjestelmässä, josta voi tarkalleen seurata kuka on tehnyt mitäkin muutoksia mihinkin tiedostoon. osaava henkilö voi myös itse korjata löytämiään virheitä lähettää muutostietotiedoston  projektin kehittäjille hyväksyttäväksi.</dd>
<dt>Valinnanvapaus</dt>
<dd>Jos yhteistyö jonkin ohjelmistoprojektin kanssa ei syystä tai toisesta onnistu, kuka tahansa voi koska tahansa tehdä ohjelmistosta uuden haaran ja kehittää sitä itse haluamaansa suuntaan. Ohjelmistojen kehittäminen on nopeaa, koska muiden projektien koodia voi helposti käyttää omassa projektissa. Tämä toimintamalli edesauttaa uusien VALO-ohjelmistojen syntymistä ja käyttäjillä on aidosti vapaus valita mielestään paras ohjelmisto todella laajasta valikoimasta.</dd>
<dt>Standardien noudattaminen</dt>
<dd>VALOlle tyypillistä yleisten standardien noudattaminen kaikissa tilanteissa, joissa se on vähänkään järkevää. Tällä tavalla ohjelmistot ovat laajasti yhteensopivia muiden ohjelmistojen kanssa. VALO-projektit eivät pyri saavuttamaan tai ylläpitämään määräävää markkina-asemaa, vaan ensisijainen tarkoitus on tehdä hyviä ohjelmistoja, jotka palvelevat käyttäjiään.</dd>
<dt>Tietoturva ja yleinen laatu</dt>
<dd>Koska työ on julkista ja ensisijaisena tarkoituksena on palvella käyttäjiä (kehittäjät ovat useimmiten myös itse käyttäjiä), ei kenelläkään ole intressiä tehdä mitään muuta kuin turvallista ja laadukasta koodia. Koska koodi on julkista, perustuu turvallisuus hyviin rakenteellisiin ratkaisuihin eikä salailuun.</dd>
</dl>

<h3>Edes VALO ei tee autuaaksi</h3>
<p>Vaikka VALO:n tapa tuottaa ohjelmistoja on suljettuja malleja parempi, tulee muistaa, ettei sekään ole täydellinen. Loppujen lopuksi jokainen ohjelmisto on tekijöidensä näköinen ja siksi laatu vaihtelee.</p>
<p>Käytäntö on kuitenkin osoittanut, että pitkällä aikavälillä VALOn evoluution kaltainen ohjelmistokehitystapa tuottaa parhaita ohjelmistoja.</p>

<h3>Kokeile itse!</h3>
<p><a href="hanki">Lataa ilmaiseksi</a> itsellesi VALO-CD ja tutustu ohjelmiin. Jos et osaa polttaa levykuvaa CD:lle, voit myös tilata levyn postitse pientä maksua vastaan.</p>

<h3>Lisätietoja</h3>
<p>Helpoiten lisätietoja VALOsta ja vapaista sisällöistä Suomessa löytyy sivulta <a href="http://www.vapaasuomi.fi/">Vapaasuomi.fi</a></p>

<p>Suosittelemme myös tutustumaan <a href="http://www.coss.fi/">COSSin sivustoon</a> sekä lukemaan Henrik Ingon kirjan <a href="http://www.avoinelama.fi/">Avoin Elämä</a>.</p>

<?php require_once('footer.inc');
