<?php
$title = 'Contribute';
require_once('header.inc');
?>

<h2>Contribute to the VALO-CD project</h2>

<p>Would you like to help the VALO-CD project? There are many ways, for example you can give feedback, test new versions, proof-read program descriptions or evaluate new programs to see if they match VALO-CD's standards.</p>

<form method="post" action="http://valo-cd.fi/mailman/subscribe/dev">
<h3>Development mailing list</h3>
<p>If you want contribute to VALO-CD in any way, start by <a href="/mailman/listinfo/dev">subscribing the dev@valo-cd.net mailing list</a>.</p>
<p>
<label for="email">Your e-mail:</label> <br/>
<input id="email" type="text" name="email" size="20" value="<?php echo $_POST['email']; ?>"/> 
<input type="hidden" name="digest" value="0"/>
<input type="submit" name="email-button" value="Subscribe the development list"/>
</p>
</form>

<h3>Chat</h3>

<p>Some of the VALO-CD developers also hang out at the <cite>#valo-cd channel at Freenode</cite>. You can use your IRC client of preference or our <a href="chat">webchat service</a>. Feel free to come and chat with us!</p>

<h3>Project wiki</h3>
<p>If you found a spelling error in a program description you can go directly to the the <a href="/wiki">VALO-CD:n wiki (in English)</a> and fix it. The wiki contains also lists about potential new programs and other information about the development of VALO-CD.</p>

<p>For issues regarding the Finnish translation, there is also a <a href="http://www.valo-cd.fi/wiki">VALO-CD wiki in Finnish</a>. If you want to start a new translation, tell about it to the <a href="/mailman/listinfo/dev">dev@valo-cd.net list</a> and we'll help you start.</p>

<h2>Join the FOSS community</h2>

<p>If you want to contribute to specific programs included on the VALO-CD, either by giving feedback, testing, translating or programming, just contact the software project you are interested in directly.</p>

<p>You can also support FOSS by buying products and services that are based on free and open soruce software..</p>

<h3>Join the FOSS supporters</h3>
<p>If you want to do more to support FOSS and you live in Europe, we recommend joining the <a href="http://www.fsfe.org/">Free Software Foundation Europe</a>.</p>

<?php
require_once('footer.inc');
