<?php
function print_field($label, $field, $required=FALSE, $attributes='', $size=35, $rows=1, $info='') {
    GLOBAL $_POST, $errors;
    echo '  <th';
    echo $errors["$field"] ? ' class="error"' : '';
    echo '><label for="'.$field.'">'.$label.'</label>';
    echo $required ? '' : ' <small>(ei pakollinen)</small>';
    echo '</th>
    <td><';
    echo $rows > 1 ? 'textarea rows="'.$rows.'" cols="'.$size.'"' : 'input size="'.$size.'" type="text" value="'.$_POST["$field"].'"';
    echo ' id="'.$field.'" name="'.$field.'" '.$attributes;
    echo $rows > 1 ? '>'.$_POST["$field"].'</textarea>' : '/>';
    echo '<br/>';
    echo $errors["$field"] ? '<span class="error">'.$errors["$field"].'</span>' : '';
    echo $info ? '<span class="info">'.$info.'</span>' : '';
    echo '</td>
    ';
}

function validate_field($field, $regex, $msg) {
    GLOBAL $errors;
    if (!preg_match("/".$regex."/i", $_POST["$field"])) { $errors["$field"] = $msg; }
}

