<?php
if ($title) {
	$title .= ' &ndash; VALO-CD.net';
} else {
	$title = 'VALO-CD: The Best of Free and Open Source Software for Windows';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" 	"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" xmlns:og="http://ogp.me/ns#" xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<title><?php echo $title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="author" content="Otto Kekäläinen"/>
<link media="all" href="/style.css" type="text/css" rel="stylesheet"/>
<link media="all" href="/style.en.css" type="text/css" rel="stylesheet"/>
<?php 
if ($hide_right_rail) { 
    echo '<link media="all" href="/style-simple.css" type="text/css" rel="stylesheet"/>
    '; 
} 
?>
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<meta name="description" xml:lang="en" content="VALO-CD: The best of Free and Open Source Software for Windows"/>
<meta name="keywords" content="foss, open source, free software, download, get, windows" />
<meta name="robots" content="all"/>

<!-- From http://ogp.me/ -->
<meta property="og:title" content="VALO-CD" /><!-- removed .org to get nicer FB title -->
<meta property="og:type" content="product" />
<meta property="og:url" content="http://www.valo-cd.net/" />
<meta property="og:image" content="http://www.valo-cd.net/img/valo-cd-180x180.png" />
<meta property="og:description" content="The best of Free and Open Source Software for Windows" />
<meta property="og:site_name" content="VALO-CD" />
<meta property="fb:admins" content="1576364819,1030817482"/>

<script type="text/javascript">
function popUp(URL) {
    day = new Date();
    id = day.getTime();
    eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=800,height=650,left = 320,top = 125');");
}
</script>
<?php if ($redirect) { echo '<meta http-equiv="REFRESH" content="4;URL='. $redirect .'">'; } ?> 
</head>
<body>
<?php
 /*
<!-- ClickTale Top part -->
<script type="text/javascript">
var WRInitTime=(new Date()).getTime();
</script>
<!-- ClickTale end of Top part -->
*/ 

?>
<div id="container">

<div id="preheader">
<a href="/"><img src="/img/valo-cd-logo-header.en.jpg" alt="VALO-CD logo"/></a>
<h1>VALO-CD</h1>
<p><strong>The best of Free and Open Source Software for Windows</strong></p>
	<div id="infonavi">
	<a href="http://www.valo-cd.fi/">In Finnish</a> 
	<a href="http://www.valo-cd.net/svenska">In Swedish</a> 
	<a href="/sitemap">Sitemap</a> 
    	<form action="search" id="cse-search-box">
      		<div id="googlehaku">
		<input type="hidden" name="cx" value="partner-pub-7211882149548509:rg123ycmasx" />
		<input type="hidden" name="cof" value="FORID:9" />
		<input type="hidden" name="ie" value="UTF-8" />
		<input type="text" name="q" size="12" />
		<input type="image" name="sa" value="Search" src="/img/button-search.png" id="hakupainike" />
      		</div>
    	</form>
    	<script type="text/javascript" src="http://www.google.fi/coop/cse/brand?form=cse-search-box&amp;lang=en"></script> 
	</div>
</div>

<div id="header">
    <div id="navi">
    <ul>
	<li <?php echo preg_match("/index.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/"><span>Main</span></a></li>
	<li <?php echo preg_match("/programs.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/programs"><span>Programs</span></a></li>
	<li <?php echo preg_match("/get.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/get"><span>Get the CD</span></a></li>
	<li <?php echo preg_match("/what_valo.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/what_valo"><span>VALO?</span></a></li>
	<li <?php echo preg_match("/news.php/", $_SERVER["SCRIPT_FILENAME"]) ? 'class="current"' : ''; ?>><a href="/news"><span>News</span></a></li>
	</ul>
    </div>
</div>

<?php
if (preg_match("/index.php/", $_SERVER["SCRIPT_FILENAME"])) {
?>
<div id="postheader">
    <div id="palkki"><h3>Most popular</h3>
	<a href="free_libreoffice"><img src="/img/palkki-libreoffice.png" alt="LibreOffice"/></a>
	<a href="free_firefox"><img src="/img/palkki-firefox.png" alt="Firefox"/></a>
	<a href="free_gimp"><img src="/img/palkki-gimp.png" alt="GIMP"/></a>
	<a href="free_scribus"><img src="/img/palkki-scribus.png" alt="Scribus"/></a>
	<a href="free_vlc"><img src="/img/palkki-vlc-en.png" alt="VLC Media Player"/></a>
	<a href="free_pidgin"><img src="/img/palkki-pidgin.png" alt="Pidgin"/></a>
    </div>
	
    <div id="lataa-tai-tilaa">
	<a href="get"><img src="/img/download-or-buy.jpg" alt="Download or buy a VALO-CD"/><br/><span>Download for free or <br/>buy a VALO-CD</span></a>
	</div>
</div>
<?php
} else {
    echo '<br/>';
}
?>

<div id="contents">

