<?php
// Always use valo-cd.fi rather than valocd.fi or valo-cd.sange.fi
if (strpos($_SERVER['HTTP_HOST'], 'valocd.fi') == True || strpos($_SERVER['HTTP_HOST'], 'cd.sange.fi') == True) {
    // Permanent redirection
    header("HTTP/1.1 301 Moved Permanently");
	header("Location: http://www.valo-cd.fi".$_SERVER['REQUEST_URI']);
    exit();
}

// Always use website like www.valo-cd.net or www.valo-cd.fi, not just valo-cd.net 
if (strpos($_SERVER['HTTP_HOST'], 'www') === False) {
	// Permanent redirection
	header("HTTP/1.1 301 Moved Permanently");
	header("Location: http://www.".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
	exit();
}

// Always use canonical name, not .php 
if (strpos($_SERVER['REQUEST_URI'], '.php') == True) {
	// Permanent redirection
	header("HTTP/1.1 301 Moved Permanently");
	header("Location: http://".$_SERVER['HTTP_HOST'].substr($_SERVER['REQUEST_URI'], 0, -4));
	exit();
}

// Detect domain and set language as ISO-code
if ($_SERVER['HTTP_HOST'] == 'www.valo-cd.fi') {
	$LANG = "fi";
} else { // valo-cd.net implied
	$LANG = "en";
}

// It would be better if each page had their language hard coded, so we could also do redirects like valo-cd.fi/contribute -> valo-cd.net/contribute

// Cache contents
Header("Cache-Control: public");
$offset = 60 * 60 * 24 * 0.5;
$ExpireString = "Expires: " . gmdate("D, d M Y H:i:s", time() + $offset) . " GMT";
Header($ExpireString);

require_once('funcs.inc');

require_once('header.'. $LANG .'.inc');
// tip from http://developer.yahoo.com/performance/rules.html
// mittaukset firebugilla ei näytä vaikuttavan,
// sivu ei lataudu nopeammin ja
// style.css:n lataus alkaa aina 150-250 ms sivun latauksen aloituksen jälkeen
flush();
