# Invoke as
# cp ../build-system/html-ui/valo-cd-v9-fi-vedos/VALO-CD/content/index.html .
# python splitindex.py
# cp splitindex/* ../splitindex-fi/
# rm splitindex/*
# cp ../build-system/html-ui/valo-cd-v9-en-draft/VALO-CD/content/index.html .
# python splitindex.py
# cp splitindex/* ../splitindex-en/
# rm splitindex/*

from lxml import etree

ns = {'xhtml': 'http://www.w3.org/1999/xhtml'}

#def xpath(elem, xpath_str):
#    return elem.xpath(xpath_str, namespaces=ns)

tree = etree.parse("index.html")

titles = tree.xpath("//xhtml:div[contains(@class,'title')]", namespaces=ns)

#print titles

for title in titles:
    title_id = title.xpath('@id')[0]

#    title_link = title_id.lower().replace("-","_")

#    print title_link

#    print etree.tostring(title, encoding="utf-8", pretty_print=True)

    filename = title.xpath(".//xhtml:a[contains(@class, 'download')]/@href", namespaces=ns)

    if filename:
        filename = filename[0]

        if filename.endswith(".exe") or filename.endswith(".msi"):
            title_link = filename.split("/")[-1].split("-")[0]
        else:
            title_link = filename.split("/")[-1].split(".")[0]

        print title_link
    else:
        title_link = title_id.lower().replace("-", "_")
    
    for elem in title.getiterator():
        if elem.tag == "{http://www.w3.org/1999/xhtml}a" and elem.get('href') == "#Rajoitetut-ohjelmistot":
            elem.set('href', "lataa_rajoitetut_ohjelmistot")
        if elem.tag == "{http://www.w3.org/1999/xhtml}a" and elem.get('href') == "#Restricted-software":
            elem.set('href', "download_restricted_software")

    title_file = file("splitindex/"+title_link+".html", "w")
    title_file.write(etree.tostring(title, encoding="utf-8", pretty_print=True))
