<?php
$title = 'Sivukartta';
$hide_right_rail = true;
require_once('header.inc');
?>

<h2>Sivukartta</h2>
<p>Kaikki sivut päivitysjärjestyksessä:</p>

<ul>
<?php
$dir = scandir('/www/valo-cd/htdocs/');
$sitemap = array();
while(list($idx, $filename) = each($dir)) {
    if(ereg('\.php$', $filename) && !ereg('error|xml|index|sitemap|search', $filename)) {
		if (!($fp = fopen($filename, 'r'))) return;
	    while(!feof($fp)) {
		    $l = fgets($fp, 1024);
		    if(ereg("title = '([^<]+)'", $l, $cont)) {
			    $page['title'] = $cont[1];
			    break;
		    }
	    }
		fclose($fp);
		$page['filename'] = $filename;
		$page['mtime'] = filemtime($filename);
        $sitemap[filemtime($filename)] = $page;
	}	
}

krsort($sitemap);

$i = 0;
while(list($idx, $page) = each($sitemap)) {
	echo "<li><a href='". $page['filename'] ."'>". $page['title'] ."</a> (". strftime('%d.%m.%Y', $page['mtime']) .")</li>\n";
}
?>
</ul>


<h2>Haku</h2>
<form action="search" id="cse-search-box">
	<div id="googlehaku">
	<input type="hidden" name="cx" value="partner-pub-7211882149548509:rg123ycmasx" />
	<input type="hidden" name="cof" value="FORID:9" />
	<input type="hidden" name="ie" value="UTF-8" />
	<input type="text" name="q" size="12" />
	<input type="image" name="sa" value="Hae" src="/img/button-hae.png" id="hakupainike" />
	</div>
</form>
<script type="text/javascript" src="http://www.google.fi/coop/cse/brand?form=cse-search-box&amp;lang=fi"></script> 

<?php require_once('footer.inc');
